Question Detail

While debugging everything working fine but when I try to build SIgned APK it shows me below Error in Android Studio 3.1.

ERROR:

Java compiler: (1 warning)  
Configuration 'compile' is obsolete and has been replaced with 'implementation'.  

WARNING: Configuration 'compile' is obsolete and has been replaced with 'implementation'.
 

 

 

This is my Gradle file Please suggest me where I am lacking build

.gradle (Module: app)

apply plugin: 'com.android.application'

android {
    compileSdkVersion 27
    defaultConfig {
        applicationId "com.google.fundook"
        minSdkVersion 16
        targetSdkVersion 27
        versionCode 1
        versionName "1.0.1"
        multiDexEnabled true
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
      
    }
     buildTypes {
         release {
             shrinkResources true
             minifyEnabled true
             debuggable false
             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
         }
     }
    packagingOptions {
         exclude 'AndroidManifest.xml'
         exclude 'lib/arm64-v8a/libcardioDecider.so'
         exclude 'lib/arm64-v8a/libcardioRecognizer.so'
         exclude 'lib/arm64-v8a/libcardioRecognizer_tegra2.so'
         exclude 'lib/arm64-v8a/libopencv_core.so'
         exclude 'lib/arm64-v8a/libopencv_imgproc.so'
         exclude 'lib/armeabi/libcardioDecider.so'
         exclude 'lib/armeabi-v7a/libcardioDecider.so'
         exclude 'lib/armeabi-v7a/libcardioRecognizer.so'
         exclude 'lib/armeabi-v7a/libcardioRecognizer_tegra2.so'
         exclude 'lib/armeabi-v7a/libopencv_core.so'
         exclude 'lib/armeabi-v7a/libopencv_imgproc.so'
         exclude 'lib/mips/libcardioDecider.so'
         exclude 'lib/x86/libcardioDecider.so'
         exclude 'lib/x86/libcardioRecognizer.so'
         exclude 'lib/x86/libcardioRecognizer_tegra2.so'
         exclude 'lib/x86/libopencv_core.so'
         exclude 'lib/x86/libopencv_imgproc.so'
         exclude 'lib/x86_64/libcardioDecider.so'
         exclude 'lib/x86_64/libcardioRecognizer.so'
         exclude 'lib/x86_64/libcardioRecognizer_tegra2.so'
         exclude 'lib/x86_64/libopencv_core.so'
         exclude 'lib/x86_64/libopencv_imgproc.so'
     }
}
dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:27.1.0'
    implementation 'com.android.support:design:27.1.0'
    implementation 'com.android.support:support-v4:27.1.0'
    implementation 'com.android.support:recyclerview-v7:27.1.0'
    implementation 'com.android.support:cardview-v7:27.1.0'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'com.squareup.okhttp3:logging-interceptor:3.4.1'
    compile 'com.google.firebase:firebase-messaging:11.8.0'
    compile 'com.android.support:multidex:1.0.2'
    compile 'com.github.bumptech.glide:glide:3.8.0'
    compile 'com.aurelhubert:ahbottomnavigation:2.1.0'
    compile 'org.jbundle.util.osgi.wrapped:org.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
    compile 'com.paypal.sdk:paypal-android-sdk:2.16.0'
    compile 'com.squareup.retrofit2:retrofit:2.3.0'
    compile 'com.squareup.retrofit2:converter-gson:2.3.0'
    compile 'com.github.javiersantos:BottomDialogs:1.2.1'
    compile 'com.github.zzz40500:android-shapeLoadingView:1.0.3.2'
    compile 'com.theartofdev.edmodo:android-image-cropper:2.3.+'
    compile 'com.anjlab.android.iab.v3:library:1.0.44'
    compile 'com.payumoney.sdkui:plug-n-play:1.1.0'
    androidTestImplementation 'com.android.support.test:runner:1.0.1'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'
    testImplementation 'junit:junit:4.12'
}
// Add to the bottom of the file
apply plugin: 'com.google.gms.google-services'

 

build.gradle (Project: FUndook-Android)

 

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    
    repositories {
        google()
        jcenter()
        mavenCentral()
        maven {
            url 'https://maven.google.com/'
            name 'Google'
        }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.1.0'
        classpath 'com.google.gms:google-services:3.2.0'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        jcenter()
        google()
        maven {
            url "https://jitpack.io"
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}


Thread Reply

Anonymous

- 6 months ago

I also faced this error after searching after whole day reach on a solution Just remove 

 shrinkResources true
             minifyEnabled true

and my app is working fine now.

 

When i add these lines same error start prompting again and again